Package Details: libfm-git 1.2.2.1.35.gf238b1b-1

Git Clone URL: https://aur.archlinux.org/libfm-git.git (read-only)
Package Base: libfm-git
Description: A glib/gio-based library to develop file managers. Does not include the GTK components.
Upstream URL: http://www.lxde.org
Licenses: GPL2
Conflicts: libfm, libfm-extra
Provides: libfm, libfm-extra
Submitter: None
Maintainer: jleclanche
Last Packager: jleclanche
Votes: 124
Popularity: 0.063558
First Submitted: 2009-12-24 04:42
Last Updated: 2015-06-09 12:33

Dependencies (7)

Required by (2)

Sources (1)

Latest Comments

pmattern commented on 2015-12-03 00:48

Could you please have this package provide libfm of a distinct version by stating "$_pkgbase=$pkgver" in variable 'provides'?
This would allow for compiling packages which require a distinct version of libfm against package libfm-git. See e. g. discussion on https://aur.archlinux.org/packages/libfm-qt-git/.

ozky commented on 2015-11-10 17:44

This missing libexif as runtime require lxqt fails to load desktop without installing it manually.

Nierro commented on 2014-08-28 10:55

"pcmanfm-qt
pcmanfm-qt: error while loading shared libraries: libexif.so.12: cannot open shared object file: No such file or directory"
It seems libexif must be added as runtime dep!

ArthurBorsboom commented on 2014-03-29 15:23

When installing lxqt-desktop-git with yaourt, which installs all the lxqt components, the compilation stopped at libfm-gt because of two missing dependencies:

pango
gtk2

If I understand it correct, it would be easier if these dependencies are added. If you agree, would you mind to add these two?

virubakkh commented on 2013-08-05 00:59

@Adys
http://wiki.lxde.org/en/Build_LXDE-Qt_From_Source

Many changes in dependencies.

jleclanche commented on 2013-08-04 06:46

The wiki is out of date. Development has been fully mirrored to github as we're moving away from sourceforge.

cargoan commented on 2013-08-04 05:18

pcmanfm and libfm latest sources from git are in sourceforge, not github.
http://wiki.lxde.org/en/LXDE:PCManFM_build_and_setup_guide#The_latest_source_code_in_development_from_git

In PKGBUILD:
url="http://pcmanfm.sourceforge.net/"
source=("git://pcmanfm.git.sourceforge.net/gitroot/pcmanfm/libfm")

cargoan commented on 2013-08-04 05:17

pcmanfm and libfm latest sources from git are in sourceforge, not github.
http://wiki.lxde.org/en/LXDE:PCManFM_build_and_setup_guide#The_latest_source_code_in_development_from_git

In PKGBUILD:
url="http://pcmanfm.sourceforge.net/"
source=("git://pcmanfm.git.sourceforge.net/gitroot/pcmanfm/libfm")

cargoan commented on 2013-08-04 05:17



pcmanfm and libfm latest sources from git are in sourceforge, not github.
http://wiki.lxde.org/en/LXDE:PCManFM_build_and_setup_guide#The_latest_source_code_in_development_from_git

In PKGBUILD:
url="http://pcmanfm.sourceforge.net/"
source=("git://pcmanfm.git.sourceforge.net/gitroot/pcmanfm/libfm")

cargoan commented on 2013-08-04 05:14

pcmanfm and libfm latest sources from git are in sourceforge, not github.
http://wiki.lxde.org/en/LXDE:PCManFM_build_and_setup_guide#The_latest_source_code_in_development_from_git

url="http://pcmanfm.sourceforge.net/"
source=("git://pcmanfm.git.sourceforge.net/gitroot/pcmanfm/libfm")
source=("git://pcmanfm.git.sourceforge.net/gitroot/pcmanfm/pcmanfm")

cargoan commented on 2013-08-04 05:12

pcmanfm and libfm git latest sources are in sourceforge, not github.
http://wiki.lxde.org/en/LXDE:PCManFM_build_and_setup_guide#The_latest_source_code_in_development_from_git

url="http://pcmanfm.sourceforge.net/"
source=("git://pcmanfm.git.sourceforge.net/gitroot/pcmanfm/libfm")
source=("git://pcmanfm.git.sourceforge.net/gitroot/pcmanfm/pcmanfm")

Alister.Hood commented on 2013-08-03 07:18

The PKGBUILD has udisks in the depends and:
--enable-udisks

jleclanche commented on 2013-08-03 06:14

udisks support is udisks1 only and somewhat broken; so it stays disabled

Alister.Hood commented on 2013-08-03 05:34

Also, does the udisks support actually work for anybody? Last time I checked it didn't work for me, and upstream recommended disabling it as they didn't intend to fix it.

Alister.Hood commented on 2013-08-03 05:32

Yes, please update as described by cargoan.

Diego commented on 2013-07-21 20:00

disowned!
I at this time do not have enough time. For good of the community I've disowned it.

cargoan commented on 2013-07-21 19:54

Now works with automake 1.14

Update makedepends and comment or remove this in build()
### temporary workaround for building failure
sed -i '/_\$(V)/d;/AM_DEFAULT_VERBOSITY/d' gtk-doc.make
sed -i 's,done \\,done ; \\,' gtk-doc.make
autoreconf -fiv

cargoan commented on 2013-07-21 19:52

Now works with automake 1.14

Update makedepends and remove this in build()
### temporary workaround for building failure
sed -i '/_\$(V)/d;/AM_DEFAULT_VERBOSITY/d' gtk-doc.make
sed -i 's,done \\,done ; \\,' gtk-doc.make
autoreconf -fiv

cargoan commented on 2013-07-21 19:29

Now builds with automake 1.4 and fixed gtk-doc.make.
Update makedepends and remove these lines from build():
### temporary workaround for building failure
sed -i '/_\$(V)/d;/AM_DEFAULT_VERBOSITY/d' gtk-doc.make
sed -i 's,done \\,done ; \\,' gtk-doc.make
autoreconf -fiv


jleclanche commented on 2013-07-20 16:59

libfm is getting split upstream into three parts:
- libfm
- libfm-gtk
- libfm-qt

The current libfm-git should become libfm-gtk-git. libfm-git should now be libfm compiled without gtk.
Additionally, fixes were committed upstream to work around issues with autoconf 1.14 and such.

Here is a pkgbuild for libfm-gtk-git: https://aur.archlinux.org/packages/li/libfm-gtk-git/PKGBUILD

Here is one for libfm-git, please use this one: http://dpaste.com/1311674/plain/

Diego commented on 2013-07-12 11:24

@mladoux done

mladoux commented on 2013-07-12 11:15

won't build without vala, please add vala to the build deps.

David-UPCT commented on 2013-07-11 17:33

I followed your instructions and it works. ¡Muchas gracias, cargoan!

Diego commented on 2013-07-11 15:51

@cargoan Thank you!
with automake 1.13.4-1 all works!
Now I upgrade the PKGBUILD following yours directions... next step LXDE-qt

cargoan commented on 2013-07-11 15:30

Espero que se entienda, lamento no saber inglés.

Compile with automake 1.13 and edit PKGBUILD.
In build function uncomment these lines
sed -i '/_\$(V)/d;/AM_DEFAULT_VERBOSITY/d' gtk-doc.make
sed -i 's,done \\,done ; \\,' gtk-doc.make
autoreconf -fiv

in package function change
cd $srcdir/$pkgname --> cd $srcdir/$_pkgname

David-UPCT commented on 2013-07-10 15:17

Downgrading automake didn't help me. I've tested with automake 1.14 (current), 1.13.4 and 1.13.2, and I always received the same error that jahiy posted:

config.status: error: cannot find input file: `src/Makefile.in'

Diego commented on 2013-07-06 07:26

please update or orphanage... i'm in trouble with lxde-qt

cargoan commented on 2013-07-06 07:08

Downgrade automake.
pacman -U http://arm.konnichi.com/core/os/x86_64/automake-1.13.4-1-any.pkg.tar.xz

bidulock commented on 2013-06-20 05:46

PGKBUILD also needs to remove dependency on glib2 (needed by gtk2) and to add

options=('!libtool')

so that libtool archives are not included in the package.

namcap also says that libexif is a missing dependency.

bidulock commented on 2013-06-20 05:37

Its the recent update to gtk-doc that hosed things up. The gtk-doc.make file that gets installed by gtkdocize in autogen.sh that has errors. No fault of libfm upstream. I get a clean build with the following modification to the build() function:

msg "Start to build..."
sh ./autogen.sh
### add these three lines after autogen.sh invocation
sed -i '/_\$(V)/d;/AM_DEFAULT_VERBOSITY/d' gtk-doc.make
sed -i 's,done \\,done ; \\,' gtk-doc.make
autoreconf -fiv

gtk-doc package is seriously broken and needs to be fixed.

mladoux commented on 2013-06-14 20:35

there seems to be an error where Makefile.in is not being created. Apparently, this is due to autoconf not doing it's job and preparing a few things for automake, so automake refuses to further. Not sure how to fix it, hopefully it'll be fixed in upstream.

jahiy commented on 2013-06-09 05:51

Can't be built:

configure: creating ./config.status
config.status: creating Makefile
config.status: error: cannot find input file: `src/Makefile.in'
==> ERROR: A failure occurred in build().
Aborting...

trizen commented on 2013-05-31 19:26

Can't be built:

==> Starting build()...
==> Applying patch...
error: patch failed: autogen.sh:4
error: autogen.sh: patch does not apply
==> ERROR: A failure occurred in build().
Aborting...

KaiSforza commented on 2013-04-10 21:44

This should be updated to reflect the new pacman 4.1 source array and version scheme.

jynnantonix commented on 2013-02-27 06:46

@desperat

I just rebuilt the package on my machine and verified the md5sums. Both the md5sums in my PKGBUILD as well as the maintainer's PKGBUILD are valid. Whatever the issue is must have been on your end, maybe a corrupted download?

desperat commented on 2013-02-15 15:24

jynnantonix version - automake patch md5 sum wrong as well in pcmanfm-git

M4rQu1Nh0S commented on 2013-01-23 07:58

I am follow the jynnantonix!!
and your PKGBUILD with submitted patch work very good!

so, the PKGBUILD from jynnantonix is better to compile.
try this!

jynnantonix commented on 2013-01-15 07:38

Fails with "You must have automake >= 1.11 installed."

I've uploaded a patch and updated PKGBUILD here (https://github.com/jynnantonix/PKGBUILDs/tree/master/libfm-git)

Also submitted the patch upstream (https://sourceforge.net/tracker/?func=detail&aid=3600900&group_id=156956&atid=801864)

mloskot commented on 2012-07-17 23:12

To the maintainer,

Here is simple changeset to the PKGBUILD which
1) Updates the description according to description of the Git repo (http://pcmanfm.git.sourceforge.net/git/gitweb.cgi?p=pcmanfm/libfm)
2) Enables building and installation of gtk-doc (as requested in the comments below)

Note, this is not a patch, but extract with changed lines (this comment box does not preserv verbatim copy of input):

$ diff -Nua PKGBUILD.original PKGBUILD
--- PKGBUILD.original 2012-07-18 00:01:10.107669494 +0100
+++ PKGBUILD 2012-07-17 23:54:10.686607932 +0100
@@ -1,11 +1,12 @@
#Maintainer : Jekyll wu <adapte [at] gmail [dot] com>
#Contributor: Carbon Jiao <http://archlive-pkg.googlecode.com>
+#Contributor: Mateusz Loskot <mateusz@loskot.net>
...
-pkgdesc="Libs also excutable standalone progs, for next generation File manager of the LXDE Desktop"
+pkgdesc="A glib/gio-based lib used to develop file managers providing some file management utilities and related-widgets missing in gtk+/glib."
...
- ./configure --prefix=/usr --sysconfdir=/etc --enable-udisks --with-gnu-ld || return 1
+ ./configure --prefix=/usr --sysconfdir=/etc --enable-udisks --enable-gtk-doc --with-gnu-ld || return 1
...

mloskot commented on 2012-07-17 23:04

To the maintainer,

Here is simple patch to the PKGBUILD which
1) Updates the description according to description of the Git repo (http://pcmanfm.git.sourceforge.net/git/gitweb.cgi?p=pcmanfm/libfm)
2) Enables building and installation of gtk-doc (as requested in the comments below)

<pre>
mloskot libfm-git $ diff -Nua PKGBUILD.original PKGBUILD
--- PKGBUILD.original 2012-07-18 00:01:10.107669494 +0100
+++ PKGBUILD 2012-07-17 23:54:10.686607932 +0100
@@ -1,11 +1,12 @@
#Maintainer : Jekyll wu <adapte [at] gmail [dot] com>
#Contributor: Carbon Jiao <http://archlive-pkg.googlecode.com>
+#Contributor: Mateusz Loskot <mateusz@loskot.net>

pkgname=libfm-git
-pkgver=20111204
+pkgver=20120717
pkgrel=1
url="http://pcmanfm.sourceforge.net/"
-pkgdesc="Libs also excutable standalone progs, for next generation File manager of the LXDE Desktop"
+pkgdesc="A glib/gio-based lib used to develop file managers providing some file management utilities and related-widgets missing in gtk+/glib."
arch=('i686' 'x86_64')
license=('GPL')
depends=('udisks' 'gtk2' 'glib2' 'vala' 'menu-cache')
@@ -36,7 +37,7 @@
msg "Start to build..."
cd "$srcdir/${_gitname}-build"
sh ./autogen.sh
- ./configure --prefix=/usr --sysconfdir=/etc --enable-udisks --with-gnu-ld || return 1
+ ./configure --prefix=/usr --sysconfdir=/etc --enable-udisks --enable-gtk-doc --with-gnu-ld || return 1

# strange: twice make is needed only for makepkg; compiling manually is fine
make || make
mloskot libfm-git $
</pre>

mloskot commented on 2012-07-17 23:03

To the maintainer,

Here is simple patch to the PKGBUILD which
1) Updates the description according to description of the Git repo (http://pcmanfm.git.sourceforge.net/git/gitweb.cgi?p=pcmanfm/libfm)
2) Enables building and installation of gtk-doc (as requested in the comments below)

mloskot libfm-git $ diff -Nua PKGBUILD.original PKGBUILD
--- PKGBUILD.original 2012-07-18 00:01:10.107669494 +0100
+++ PKGBUILD 2012-07-17 23:54:10.686607932 +0100
@@ -1,11 +1,12 @@
#Maintainer : Jekyll wu <adapte [at] gmail [dot] com>
#Contributor: Carbon Jiao <http://archlive-pkg.googlecode.com>
+#Contributor: Mateusz Loskot <mateusz@loskot.net>

pkgname=libfm-git
-pkgver=20111204
+pkgver=20120717
pkgrel=1
url="http://pcmanfm.sourceforge.net/"
-pkgdesc="Libs also excutable standalone progs, for next generation File manager of the LXDE Desktop"
+pkgdesc="A glib/gio-based lib used to develop file managers providing some file management utilities and related-widgets missing in gtk+/glib."
arch=('i686' 'x86_64')
license=('GPL')
depends=('udisks' 'gtk2' 'glib2' 'vala' 'menu-cache')
@@ -36,7 +37,7 @@
msg "Start to build..."
cd "$srcdir/${_gitname}-build"
sh ./autogen.sh
- ./configure --prefix=/usr --sysconfdir=/etc --enable-udisks --with-gnu-ld || return 1
+ ./configure --prefix=/usr --sysconfdir=/etc --enable-udisks --enable-gtk-doc --with-gnu-ld || return 1

# strange: twice make is needed only for makepkg; compiling manually is fine
make || make
mloskot libfm-git $

Anonymous comment on 2011-12-04 06:33

Built and installed for me. Thank you!

cookiecaper commented on 2011-12-04 00:34

This does not build anymore.

make[4]: *** No rule to make target `fm-actions.h', needed by `all-am'. Stop.
make[4]: *** Waiting for unfinished jobs....

duthils commented on 2011-08-10 22:49

Problem solved upstream, but the PKGBUILD still needs some updating.

duthils commented on 2011-08-07 21:28

It needs an 'm4' directory to be created before launching autogen.sh.

Updated PKGBUILD :
http://pastebin.archlinux.fr/433446

duthils commented on 2011-05-29 15:46

There's a typo in optdepends :
'gvfs: To sccess remote file systems.' -> access

hatred commented on 2010-09-28 00:14

Also request gtk-doc as build dep

knedlyk commented on 2010-09-25 08:58

Yeah, please add gtk-doc to dependencies.

Anonymous comment on 2010-09-23 16:35

seems gtk-doc is needed to build now -

./autogen.sh: line 20: gtkdocize: command not found
You need gtk-doc to build this package.
http://www.gtk.org/gtk-doc/

Anonymous comment on 2010-08-21 15:23

tlvince -> 'autoconf' is in the 'base-devel' group which is assumed already installed when building the package (cf http://wiki.archlinux.org/index.php/PKGBUILD)

tlvince commented on 2010-08-21 15:19

Could you add 'autoconf' to makedepends()? Thanks

alium commented on 2010-07-25 06:52

gvfs: To sccess remote file systems is NOW not needed

Anonymous comment on 2010-07-23 13:23

[Quote from http://blog.lxde.org/?p=768]
Adding show_internal_volumes=1 to [config] section of
~/.config/libfm/libfm.conf can let you show system internal volumes in
side panes even when udisks asks us to hide them.
[/Quote]

That option does not work. The value always resets to zero no matter how many times I tried. No internal HDD partitions are shown in sidepane, especially after ./configure --enable-udisks option was added to the PKGBUILD. How do I get the old behaviour?

Anonymous comment on 2010-07-16 05:26

fixed

Anonymous comment on 2010-07-14 20:58

Udisks should be a dependency and --enable-udisks should be default. These features are fairly stable. A file manager's pkgbuild shouldn't have to be edited to provide volume management capability. It can be edited (or commented) out by people who don't want it.

Anonymous comment on 2010-07-14 14:09

@zenlord indeed I just upgraded my libfm adding ./configure option --enable-udisks after its installed it worked! :D

Anonymous comment on 2010-07-08 12:33

Please add the line
conflicts=('libfm')
to the PKGBUILD, because libfm is now in extra.

zenlord commented on 2010-07-08 08:03

Will try this out this weekend. Looks like libfm-git is able to do volume management without gvfs and only using udisks and dbus!
http://blog.lxde.org/?p=768

Anonymous comment on 2010-07-07 19:14

builds fine here. i dont know why this is flagged out of date.

jelly commented on 2010-07-05 21:31

add perl-xml-parser as depedency!

Kosava commented on 2010-06-27 18:37

Have a problem to build package

http://aur.pastebin.com/ZvF35qsZ

knedlyk commented on 2010-06-26 19:30

Looks like string "mv $pkgdir/usr/bin/{libfm-demo,libfm}" in PKGBUILD is not needed. I succesfully built libfm-git with this string commented out.

Garret commented on 2010-06-26 06:00

I can't get this version to build: am I the only one?

Garret commented on 2010-06-24 20:29

Only I can not build this package for the "line 30: [: too many arguments" error?

Anonymous comment on 2010-06-24 16:22

Also, I don't think the .desktop or .png are needed anymore (sorry for the double post)

Anonymous comment on 2010-06-24 16:21

@jardasmid and b00rt00s: those packages are in the base and base-devel groups. PKGBUILDs in the AUR are allowed to assume that you already have those groups installed.

mihaim commented on 2010-06-23 12:19

I think this line should be removed: 'mv $pkgdir/usr/bin/{libfm-demo,libfm}', it looks like this demo is not installed anymore.

Garret commented on 2010-06-23 06:40

I have this errore when trying to compile the package:
> PKGBUILD: line 30: [: too many arguments
> Too many arguments.

Anonymous comment on 2010-06-20 19:18

Please add automake, autoconf, make and gcc to makedepends

b00rt00s commented on 2010-05-23 15:45

please add 'gettext' to 'makedepends'